Simplified.ID API: v2

<back to all web services

GetPepSearch

PEP
The following routes are available for this service:
POST/peps/getGet a PEP search
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
import com.google.gson.annotations.*
import com.google.gson.reflect.*


@DataContract
open class GetPepSearch : BaseRequest()
{
    @DataMember
    open var request:GetPepSearchRequest? = null
}

@DataContract
open class BaseRequest : IBaseRequest
{
    /**
    * The authentication credentials
    */
    @DataMember
    @ApiMember(Description="The authentication credentials", IsRequired=true, ParameterType="header, body")
    override var authentication:Authentication? = null
}

@DataContract
open class Authentication
{
    /**
    * The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)
    */
    @DataMember
    @ApiMember(Description="The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)", IsRequired=true, ParameterType="header, body")
    open var apiUserId:String? = null

    /**
    * The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)
    */
    @DataMember
    @ApiMember(Description="The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)", IsRequired=true, ParameterType="header, body")
    open var apiUserKey:String? = null

    /**
    * The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).
    */
    @DataMember
    @ApiMember(Description="The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).", ParameterType="header, body")
    open var userId:String? = null
}

open class GetPepSearchRequest
{
    /**
    * If the search was created against a single Sub User account, specify their username here
    */
    @ApiMember(Description="If the search was created against a single Sub User account, specify their username here")
    open var subUserName:String? = null

    /**
    * If set to true, the response will exclude resolved search results, it will only include unresolved results
    */
    @ApiMember(Description="If set to true, the response will exclude resolved search results, it will only include unresolved results")
    open var onlyShowUnresolvedResults:Boolean? = null

    open var id:Long? = null
}

@DataContract
open class GetPepSearchResponse
{
    @DataMember
    @SerializedName("data") open var Data:GetPepSearchData? = null
}

open class GetPepSearchData : BaseResponse(), IBaseSearchResponse
{
    override var linkedTo:ArrayOfLinkedTo? = null
    open var searchRecord:PepSearchRecord? = null
}

open class BaseResponse : IBaseDataResponse, IHasResponseStatus
{
    /**
    * The status of the response
    */
    @ApiMember(Description="The status of the response")
    override var responseStatus:ResponseStatus? = null
}

open class ArrayOfResponseError : ArrayList<ResponseError>()
{
}

open class ArrayOfLinkedTo : ArrayList<LinkedTo>()
{
}

open class LinkedTo
{
    open var clientId:Int? = null
    open var id:Long? = null
    @SerializedName("type") open var Type:String? = null
    open var subtype:String? = null
    open var status:String? = null
    open var description:String? = null
    open var isArchived:Boolean? = null
    open var name:String? = null
    open var date:Date? = null
}

open class PepSearchRecord
{
    open var id:Long? = null
    open var searchType:String? = null
    open var dateSearched:Date? = null
    open var dateUpdated:Date? = null
    open var dateRenewal:Date? = null
    open var dateArchived:Date? = null
    open var isArchived:Boolean? = null
    open var numOfResults:Int? = null
    open var clientInResults:Boolean? = null
    open var clientNotInResults:Boolean? = null
    open var affectedByUpdate:Boolean? = null
    open var isDayOneSearch:Boolean? = null
    open var searchCriteria:SearchCriteria? = null
    open var searchResults:PepSearchResults? = null
}

open class SearchCriteria
{
    open var name:String? = null
    open var address:String? = null
    open var country:String? = null
    open var dateOfBirth:String? = null
    open var nationality:String? = null
    open var reference:String? = null
}

open class PepSearchResults
{
    open var results:ArrayList<PepSearchResult>? = null
}

open class PepSearchResult
{
    open var resultSimilarity:BigDecimal? = null
    open var resultResolved:Boolean? = null
    open var dateLastUpdated:Date? = null
    open var resultIsClient:Boolean? = null
    open var id:Long? = null
    @SerializedName("type") open var Type:String? = null
    open var title:String? = null
    open var forename:String? = null
    open var middlename:String? = null
    open var surname:String? = null
    open var softDelete:Boolean? = null
    open var dateOfSoftDelete:Date? = null
    open var dateOfCapture:Date? = null
    open var dateOfBirth:Date? = null
    open var dateOfDeath:Date? = null
    open var yearOfBirth:Int? = null
    open var yearOfDeath:Int? = null
    open var gender:String? = null
    open var homeTelephone:String? = null
    open var businessTelephone:String? = null
    open var mobileTelephone:String? = null
    open var fax:String? = null
    open var email:String? = null
    open var nationality:String? = null
    open var source:String? = null
    open var category:String? = null
    open var picture:String? = null
    open var alternateTitle:String? = null
    open var businessName:String? = null
    open var description:String? = null
    open var telephone:String? = null
    open var website:String? = null
    open var pepTier:Int? = null
    open var faceIsMatch:Boolean? = null
    open var faceIsMatchConfidence:BigDecimal? = null
    open var addresses:ArrayList<PepSearchResultAddress>? = null
    open var aliases:ArrayList<PepSearchResultAlias>? = null
    open var articles:ArrayList<PepSearchResultArticle>? = null
    open var associations:ArrayList<PepSearchResultIndividualAssociation>? = null
    open var businessAssociations:ArrayList<PepSearchResultBusinessAssociation>? = null
    open var notes:ArrayList<PepSearchResultNote>? = null
    open var politicalPositions:ArrayList<PepSearchResultPoliticalPosition>? = null
}

open class PepSearchResultAddress
{
    open var addressLine1:String? = null
    open var addressLine2:String? = null
    open var addressLine3:String? = null
    open var addressLine4:String? = null
    open var town:String? = null
    open var county:String? = null
    open var postCode:String? = null
    open var country:String? = null
    open var isoCountry:String? = null
    open var softDelete:Boolean? = null
    open var dateLastUpdated:Date? = null
}

open class PepSearchResultAlias
{
    open var forename:String? = null
    open var middleName:String? = null
    open var surname:String? = null
    open var softDelete:Boolean? = null
    open var dateOfSoftDelete:Date? = null
    open var dateLastUpdated:Date? = null
    open var title:String? = null
    open var alternateTitle:String? = null
    open var businessName:String? = null
}

open class PepSearchResultArticle
{
    open var url:String? = null
    open var originalUrl:String? = null
    open var source:String? = null
    open var dateOfCapture:Date? = null
    open var dateLastUpdated:Date? = null
    open var snippets:ArrayList<PepSearchResultArticleSnippet>? = null
}

open class PepSearchResultArticleSnippet
{
    open var title:String? = null
    open var text:String? = null
    open var adverseTerms:String? = null
}

open class PepSearchResultIndividualAssociation
{
    open var linkDescription:String? = null
    open var softDelete:Boolean? = null
    open var dateLastUpdated:Date? = null
    open var fullName:String? = null
}

open class PepSearchResultBusinessAssociation
{
    open var linkDescription:String? = null
    open var softDelete:Boolean? = null
    open var dateLastUpdated:Date? = null
    open var businessName:String? = null
}

open class PepSearchResultNote
{
    open var source:String? = null
    open var notes:String? = null
    open var softDelete:Boolean? = null
    open var dateLastUpdated:Date? = null
}

open class PepSearchResultPoliticalPosition
{
    open var description:String? = null
    open var from:String? = null
    open var to:String? = null
    open var country:String? = null
    open var softDelete:Boolean? = null
    open var dateLastUpdated:Date? = null
}

Kotlin GetPepSearch DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /peps/get HTTP/1.1 
Host: api.simplified.id 
Accept: application/json
Content-Type: application/json
Content-Length: length

{"request":{"subUserName":"String","onlyShowUnresolvedResults":false,"id":0},"authentication":{"apiUserId":"String","apiUserKey":"String","userId":"String"}}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"data":{"linkedTo":[{"clientId":0,"id":0,"type":"String","subtype":"String","status":"String","description":"String","isArchived":false,"name":"String","date":"\/Date(-62135596800000-0000)\/"}],"searchRecord":{"id":0,"searchType":"String","dateSearched":"\/Date(-62135596800000-0000)\/","dateUpdated":"\/Date(-62135596800000-0000)\/","dateRenewal":"\/Date(-62135596800000-0000)\/","dateArchived":"\/Date(-62135596800000-0000)\/","isArchived":false,"numOfResults":0,"clientInResults":false,"clientNotInResults":false,"affectedByUpdate":false,"isDayOneSearch":false,"searchCriteria":{"name":"String","address":"String","country":"String","dateOfBirth":"String","nationality":"String","reference":"String"},"searchResults":{"results":[{"resultSimilarity":0,"resultResolved":false,"dateLastUpdated":"\/Date(-62135596800000-0000)\/","resultIsClient":false,"id":0,"type":"String","title":"String","forename":"String","middlename":"String","surname":"String","softDelete":false,"dateOfSoftDelete":"\/Date(-62135596800000-0000)\/","dateOfCapture":"\/Date(-62135596800000-0000)\/","dateOfBirth":"\/Date(-62135596800000-0000)\/","dateOfDeath":"\/Date(-62135596800000-0000)\/","yearOfBirth":0,"yearOfDeath":0,"gender":"String","homeTelephone":"String","businessTelephone":"String","mobileTelephone":"String","fax":"String","email":"String","nationality":"String","source":"String","category":"String","picture":"String","alternateTitle":"String","businessName":"String","description":"String","telephone":"String","website":"String","pepTier":0,"faceIsMatch":false,"faceIsMatchConfidence":0,"addresses":[{"addressLine1":"String","addressLine2":"String","addressLine3":"String","addressLine4":"String","town":"String","county":"String","postCode":"String","country":"String","isoCountry":"String","softDelete":false,"dateLastUpdated":"\/Date(-62135596800000-0000)\/"}],"aliases":[{"forename":"String","middleName":"String","surname":"String","softDelete":false,"dateOfSoftDelete":"\/Date(-62135596800000-0000)\/","dateLastUpdated":"\/Date(-62135596800000-0000)\/","title":"String","alternateTitle":"String","businessName":"String"}],"articles":[{"url":"String","originalUrl":"String","source":"String","dateOfCapture":"\/Date(-62135596800000-0000)\/","dateLastUpdated":"\/Date(-62135596800000-0000)\/","snippets":[{"title":"String","text":"String","adverseTerms":"String"}]}],"associations":[{"linkDescription":"String","softDelete":false,"dateLastUpdated":"\/Date(-62135596800000-0000)\/","fullName":"String"}],"businessAssociations":[{"linkDescription":"String","softDelete":false,"dateLastUpdated":"\/Date(-62135596800000-0000)\/","businessName":"String"}],"notes":[{"source":"String","notes":"String","softDelete":false,"dateLastUpdated":"\/Date(-62135596800000-0000)\/"}],"politicalPositions":[{"description":"String","from":"String","to":"String","country":"String","softDelete":false,"dateLastUpdated":"\/Date(-62135596800000-0000)\/"}]}]}},"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}}